Bug 46288 - Kickstart will not create /boot raid partition
Kickstart will not create /boot raid partition
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-06-27 13:00 EDT by Kevin Keegan
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-13 11:34:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Keegan 2001-06-27 13:00:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
When using kickstart to configure a raid system, partitions are created in 
in descending size order, making the boot partition unusable (past 1024 
cyl. limit).  The order of the partitions in the ks.cfg file is irrelevant.

How reproducible:

Steps to Reproduce:
1. Use ks.cfg sample below

Actual Results:  System will not boot

Additional info:

keyboard "us"
zerombr yes
clearpart --all
part raid.01 --size 25 --ondisk hda
part raid.02 --size 3500 --ondisk hda
part raid.03 --size 500 --ondisk hda
part /mnt/dos1 --size 250 --type=6 --ondisk hda
part swap --size 300 --ondisk hda
part raid.04 --size 1000 --grow --ondisk hda

part raid.11 --size 25 --ondisk hdb
part raid.12 --size 3500 --ondisk hdb
part raid.13 --size 500 --ondisk hdb
part /mnt/dos2 --size 250 --type=6 --ondisk hdb
part swap --size 300 --ondisk hdb
part raid.14 --size 1000 --grow --ondisk hdb

raid /boot --level 1 --device md0 raid.01 raid.11
raid / --level 1 --device md1 raid.02 raid.12
raid /var --level 1 --device md2 raid.03 raid.13
raid /home --level 1 --device md3 raid.04 raid.14
Comment 1 Brent Fox 2001-06-29 19:02:12 EDT
I think you may be able to force raid.01 and raid.11 to be the first primary
partition on the drive.  From the Red Hat Linux 7.0 Reference Guide, you can use
the kickstart option:

--onprimary <N>
    Forces the partition to be created on primary partition <N> or fail. <N> can
be 1 through 4.

So, I think if you say:
part raid.01 --size 25 --ondisk hda  --onprimary 1
part raid.11 --size 25 --ondisk hdb  --onprimary 1

Then that will force both partitions to be hda1 and hdb1, repectively.  In
theory, this should avoid the 1024 cylinder limit problem.  Does this help?
Comment 2 Brent Fox 2001-07-13 11:34:09 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.